<?php
/*! @file

    @id $Id$

    @see @ref usertable for the database schema

    @page database Database

    @tableofcontents

    @section usertable User Table

    <table>
    <caption>Table: user</caption>
    <tr><th>Colum Name</th><th>SQL Type</th><th>Description</th></tr>
    <tr><td>name</td><td>varchar(50)</td><td>The user's name (pseudonym).</td></tr>
    <tr><td>pubkey</td><td>text</td><td>The user's public key.</td></tr>
    </table>

*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

require_once("functions.php");
mysqli_report(MYSQLI_REPORT_STRICT);
try {
  $db = new mysqli("mysql", "root", $_SERVER["MYSQL_ENV_MYSQL_ROOT_PASSWORD"]);
  $db->query("create database if not exists safechat;");
  $db->select_db("safechat");
  $db->query('create table if not exists user (name varchar(50) not null unique key, pubkey text not null);');
} catch (Exception $e) {
  echo json_encode(null);
}
?>
